| XMP Toolkit SDK 6.0.0

Macros | Functions
WXMPIterator.hpp File Reference
`#include "client-glue/WXMP_Common.hpp"`

Go to the source code of this file.

## Macros
#define | __WXMPIterator_hpp__ 1
#define | zXMPIterator_PropCTor_1(xmpRef, schemaNS, propName, options) WXMPIterator_PropCTor_1 ( xmpRef, schemaNS, propName, options, &wResult );
#define | zXMPIterator_TableCTor_1(schemaNS, propName, options) WXMPIterator_TableCTor_1 ( schemaNS, propName, options, &wResult );
#define | zXMPIterator_Next_1(schemaNS, propPath, propValue, options, SetClientString) WXMPIterator_Next_1 ( this->iterRef, schemaNS, propPath, propValue, options, SetClientString, &wResult );
#define | zXMPIterator_Skip_1(options) WXMPIterator_Skip_1 ( this->iterRef, options, &wResult );

## Functions
void XMP_PUBLIC | WXMPIterator_PropCTor_1 (XMPMetaRef xmpRef, XMP_StringPtr schemaNS, XMP_StringPtr propName, XMP_OptionBits options, WXMP_Result *wResult)
void XMP_PUBLIC | WXMPIterator_TableCTor_1 (XMP_StringPtr schemaNS, XMP_StringPtr propName, XMP_OptionBits options, WXMP_Result *wResult)
void XMP_PUBLIC | WXMPIterator_IncrementRefCount_1 (XMPIteratorRef iterRef)
void XMP_PUBLIC | WXMPIterator_DecrementRefCount_1 (XMPIteratorRef iterRef)
void XMP_PUBLIC | WXMPIterator_Next_1 (XMPIteratorRef iterRef, void *schemaNS, void *propPath, void *propValue, XMP_OptionBits *options, SetClientStringProc SetClientString, WXMP_Result *wResult)
void XMP_PUBLIC | WXMPIterator_Skip_1 (XMPIteratorRef iterRef, XMP_OptionBits options, WXMP_Result *wResult)

## Macro Definition Documentation

## ◆ __WXMPIterator_hpp__

#define __WXMPIterator_hpp__ 1

Definition at line 2 of file WXMPIterator.hpp.

## ◆ zXMPIterator_Next_1

#define zXMPIterator_Next_1 | ( |  | schemaNS,
|  |  | propPath,
|  |  | propValue,
|  |  | options,
|  |  | SetClientString
| ) |  | WXMPIterator_Next_1 ( this->iterRef, schemaNS, propPath, propValue, options, SetClientString, &wResult );

Definition at line 29 of file WXMPIterator.hpp.

## ◆ zXMPIterator_PropCTor_1

#define zXMPIterator_PropCTor_1 | ( |  | xmpRef,
|  |  | schemaNS,
|  |  | propName,
|  |  | options
| ) |  | WXMPIterator_PropCTor_1 ( xmpRef, schemaNS, propName, options, &wResult );

Definition at line 22 of file WXMPIterator.hpp.

## ◆ zXMPIterator_Skip_1

#define zXMPIterator_Skip_1 | ( |  | options | ) | WXMPIterator_Skip_1 ( this->iterRef, options, &wResult );

Definition at line 32 of file WXMPIterator.hpp.

## ◆ zXMPIterator_TableCTor_1

#define zXMPIterator_TableCTor_1 | ( |  | schemaNS,
|  |  | propName,
|  |  | options
| ) |  | WXMPIterator_TableCTor_1 ( schemaNS, propName, options, &wResult );

Definition at line 25 of file WXMPIterator.hpp.

## Function Documentation

## ◆ WXMPIterator_DecrementRefCount_1()

void XMP_PUBLIC WXMPIterator_DecrementRefCount_1 | ( | XMPIteratorRef | iterRef | ) |

## ◆ WXMPIterator_IncrementRefCount_1()

void XMP_PUBLIC WXMPIterator_IncrementRefCount_1 | ( | XMPIteratorRef | iterRef | ) |

## ◆ WXMPIterator_Next_1()

void XMP_PUBLIC WXMPIterator_Next_1 | ( | XMPIteratorRef | iterRef,
|  | void * | schemaNS,
|  | void * | propPath,
|  | void * | propValue,
|  | XMP_OptionBits * | options,
|  | SetClientStringProc | SetClientString,
|  | WXMP_Result * | wResult
| ) |  |

## ◆ WXMPIterator_PropCTor_1()

void XMP_PUBLIC WXMPIterator_PropCTor_1 | ( | XMPMetaRef | xmpRef,
|  | XMP_StringPtr | schemaNS,
|  | XMP_StringPtr | propName,
|  | XMP_OptionBits | options,
|  | WXMP_Result * | wResult
| ) |  |

## ◆ WXMPIterator_Skip_1()

void XMP_PUBLIC WXMPIterator_Skip_1 | ( | XMPIteratorRef | iterRef,
|  | XMP_OptionBits | options,
|  | WXMP_Result * | wResult
| ) |  |

## ◆ WXMPIterator_TableCTor_1()

void XMP_PUBLIC WXMPIterator_TableCTor_1 | ( | XMP_StringPtr | schemaNS,
|  | XMP_StringPtr | propName,
|  | XMP_OptionBits | options,
|  | WXMP_Result * | wResult
| ) |  |